<?PHP

//UT2K3 serverviewer GifStat fr MM

function ShowImage($name)
{
	header("Content-type: image/gif");
	readfile("./images/status/".$name.".gif");
}

$conf = array();
include("config.inc.php");
include("funcs.inc.php");

if($conf['AllowURL'] && isset($addr)) { 
    // check if port is given
    if(preg_match("#(.+):(.+)#",$addr,$match)) {
      $addr=$match[1];
      $port=$match[2];
    }
    else {
      $port="7777";
    }
  }
  else {
      $addr = $conf['IP']; 
      $port = $conf['port'];
  }

  // Test if server is reachable
if($conf['AllowGIF']) {
  if($info = ut2k3_info($addr, $port)) {
    if($info["numplayers"]>0) // Yes, online, and there is someone playing
    {
    	ShowImage("green");
    }
    else                      // Yes, online, but no players
    {
    	ShowImage("yellow"); 
    }
  } 
  else                        // No, not online
  {
    ShowImage("red");
  }
}
else                          // .gif Status Info not allowed (See config.inc.php)
{
  ShowImage("error");
}

?>
